Hermos API

Get Product Settings

GET/products/{product}/settings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

product*string
Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://example.com/products/string/settings"
{  "product": "e0588024-d851-42d5-ab9f-1b664ef352d4",  "groups": {    "profile": {      "company": {        "use_company_assets": true,        "brand": {          "name": "string",          "logo_url": "http://example.com",          "icon_url": "http://example.com"        },        "invoices": {          "legal_name": "string",          "address": {            "line1": "string",            "line2": "string",            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string"          },          "tax_number": "string",          "registration_number": "string",          "sales_tax_numbers": [            {              "country": "string",              "type": "ein",              "number": "string"            }          ]        },        "statement": {          "name": "string",          "include_product": true,          "prefix": "string"        },        "support": {          "email": "user@example.com",          "phone": "string",          "help_url": "http://example.com",          "chat_url": "http://example.com"        },        "timezone": "string",        "default_currency": "usd",        "terms": {          "terms_url": "http://example.com",          "privacy_url": "http://example.com",          "version": "string"        }      },      "override": {        "use_company_assets": true,        "brand": {          "name": "string",          "logo_url": "http://example.com",          "icon_url": "http://example.com"        },        "invoices": {          "legal_name": "string",          "address": {            "line1": "string",            "line2": "string",            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string"          },          "tax_number": "string",          "registration_number": "string",          "sales_tax_numbers": [            {              "country": "string",              "type": "ein",              "number": "string"            }          ]        },        "statement": {          "name": "string",          "include_product": true,          "prefix": "string"        },        "support": {          "email": "user@example.com",          "phone": "string",          "help_url": "http://example.com",          "chat_url": "http://example.com"        },        "timezone": "string",        "default_currency": "usd",        "terms": {          "terms_url": "http://example.com",          "privacy_url": "http://example.com",          "version": "string"        }      },      "resolved": {        "use_company_assets": true,        "brand": {          "name": "string",          "logo_url": "http://example.com",          "icon_url": "http://example.com"        },        "invoices": {          "legal_name": "string",          "address": {            "line1": "string",            "line2": "string",            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string"          },          "tax_number": "string",          "registration_number": "string",          "sales_tax_numbers": [            {              "country": "string",              "type": "ein",              "number": "string"            }          ]        },        "statement": {          "name": "string",          "include_product": true,          "prefix": "string"        },        "support": {          "email": "user@example.com",          "phone": "string",          "help_url": "http://example.com",          "chat_url": "http://example.com"        },        "timezone": "string",        "default_currency": "usd",        "terms": {          "terms_url": "http://example.com",          "privacy_url": "http://example.com",          "version": "string"        }      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "emails": {      "company": {        "receipt": true,        "refund": true,        "payment_failed": true,        "trial_ending": true,        "renewal_reminder": true,        "renewal_notice": true,        "annual_reminder": true,        "cancellation_confirmation": true,        "cancellation_undone": true,        "card_expiring": true,        "renewal_at_risk": true,        "payment_returned_access_ended": true,        "health": true,        "customer_emails": {          "property1": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          },          "property2": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          }        },        "sender_name": "string",        "reply_to": "user@example.com"      },      "override": {        "receipt": true,        "refund": true,        "payment_failed": true,        "trial_ending": true,        "renewal_reminder": true,        "renewal_notice": true,        "annual_reminder": true,        "cancellation_confirmation": true,        "cancellation_undone": true,        "card_expiring": true,        "renewal_at_risk": true,        "payment_returned_access_ended": true,        "health": true,        "customer_emails": {          "property1": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          },          "property2": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          }        },        "sender_name": "string",        "reply_to": "user@example.com"      },      "resolved": {        "receipt": true,        "refund": true,        "payment_failed": true,        "trial_ending": true,        "renewal_reminder": true,        "renewal_notice": true,        "annual_reminder": true,        "cancellation_confirmation": true,        "cancellation_undone": true,        "card_expiring": true,        "renewal_at_risk": true,        "payment_returned_access_ended": true,        "health": true,        "customer_emails": {          "property1": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          },          "property2": {            "enabled": true,            "wording": {              "subject": "string",              "own_line": "string"            },            "in_product": {              "enabled": true            },            "timing": {              "days_before": 0            },            "updated_at": "2019-08-24T14:15:22Z"          }        },        "sender_name": "string",        "reply_to": "user@example.com"      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "attribution": {      "company": {        "free_to_paid_credit": "free_signup"      },      "override": {        "free_to_paid_credit": "free_signup"      },      "resolved": {        "free_to_paid_credit": "free_signup"      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "cancel_flow": {      "company": {        "offer_skip_month": true,        "offer_free_month": true      },      "override": {        "offer_skip_month": true,        "offer_free_month": true      },      "resolved": {        "offer_skip_month": true,        "offer_free_month": true      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "subscription_changes": {      "company": {        "allowed_switch_prices": [          "string"        ],        "downgrade_timing": "now",        "proration_mode": "prorate",        "returning_customers_keep_price": true,        "price_change_notice_days": 30      },      "override": {        "allowed_switch_prices": [          "string"        ],        "downgrade_timing": "now",        "proration_mode": "prorate",        "returning_customers_keep_price": true,        "price_change_notice_days": 30      },      "resolved": {        "allowed_switch_prices": [          "string"        ],        "downgrade_timing": "now",        "proration_mode": "prorate",        "returning_customers_keep_price": true,        "price_change_notice_days": 30      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "checkout_consent": {      "company": {        "buyer_name": "required",        "checkout_require_terms_tick_box": true      },      "override": {        "buyer_name": "required",        "checkout_require_terms_tick_box": true      },      "resolved": {        "buyer_name": "required",        "checkout_require_terms_tick_box": true      },      "overridden_fields": [        "string"      ],      "product_overridable": true    },    "billing_page": {      "company": {        "keep_brands_separate": true,        "own_billing_page_url": "string"      },      "override": {        "keep_brands_separate": true,        "own_billing_page_url": "string"      },      "resolved": {        "keep_brands_separate": true,        "own_billing_page_url": "string"      },      "overridden_fields": [        "string"      ],      "product_overridable": true    }  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}